Bug 442597 - Red Hat Satellite 5.1 System Groups always show BANG Security Updates Pending
Red Hat Satellite 5.1 System Groups always show BANG Security Updates Pending
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
510
All Linux
high Severity high
: ---
: ---
Assigned To: Partha Aji
wes hayutin
:
: 445507 (view as bug list)
Depends On:
Blocks: 429319
  Show dependency treegraph
 
Reported: 2008-04-15 14:49 EDT by Stuart R. Kirk
Modified: 2010-10-22 20:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat511
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 15:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart R. Kirk 2008-04-15 14:49:05 EDT
Description of problem:

After upgrading to the latest version of satellite, when viewing the list of
"System Groups" that are registered within the satellite, all groups show the
RED "Bang" symbol representing 'Security Updates Needed'.  This occurs even when
all of the systems in the group are up-to-date or even if there are no systems
in the group.

Version-Release number of selected component (if applicable):

Red Hat Network Satellite Server 5.1.0-181 i386

How reproducible:

Install RHNS 5.1.0-181 and follow steps below.

Steps to Reproduce:
1. Install RHNS 5.1.0-181
2. Set up a bunch of system groups
3. Navigate to the system groups tab and view odd output showing updates needed.
  
Actual results:

All system groups will show 'security updates pending' even when all of the
systems in the group are up-to-date or even if there are no systems present.

Expected results:

All system groups will show 'security updates pending' even when all of the
systems in the group are up-to-date or even if there are no systems present.

Additional info:
Comment 1 Partha Aji 2008-04-15 15:03:16 EDT
Should be resolved in the next iso..
Comment 2 Stuart R. Kirk 2008-04-17 18:25:59 EDT
It also appears that on systems running Microsoft Windows, and using the
Internet Explorer browser, that the "monitoring" icons are not rendered properly
(or at all).  I'm not sure if this is the same bug, however to reproduce this
simply assign monitoring probes to a system then try viewing the list of systems
in the "system overview" tab using Microsoft Internet Explorer.  Even though
there are probes defined, the blue "health" icon will not show up.  This icon
WILL show up using Firefox on an MS Windows machine as well as RHEL/Fedora systems.
Comment 3 Clifford Perry 2008-05-02 14:39:35 EDT
Flip from ON_DEV to MODIFIED. MASS move for Sat bugs. 
Comment 6 wes hayutin 2008-05-22 10:18:39 EDT
verified build 2
Comment 7 Shannon Hughes 2008-07-21 16:10:54 EDT
confirmed both scenarios on test10-64
Comment 8 Partha Aji 2008-07-23 18:49:35 EDT
*** Bug 445507 has been marked as a duplicate of this bug. ***
Comment 10 Brandon Perkins 2008-08-13 15:03:05 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.
Comment 11 Brandon Perkins 2008-08-13 15:08:17 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.